# make -libs subpkg
%define libs 1

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:      	K Desktop Environment 4 - Core Files
Version:	4.5.5
Release:	1
Name:          	kdebase
License:       	GPLv2
Group:         	Graphical Desktop/KDE4
URL:           	http://www.kde.org/
Source0:       	ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdebase-%{version}.tar.bz2
BuildRoot:     	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      i686
BuildRequires: 	kde-filesystem
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils
Requires: 	kdelibs >= %{version}
Requires: 	kdepimlibs >= %{version}
#Requires: 	kdebase-runtime >= %{version}
Requires: 	eject
# CCUX Default setup
Requires:	kde-settings
BuildRequires: 	alsa-lib-devel
BuildRequires: 	bzip2-devel
BuildRequires: 	cdparanoia-III-devel cdparanoia-III
BuildRequires: 	cmake
BuildRequires: 	cyrus-sasl-devel
BuildRequires: 	doxygen
BuildRequires: 	fontconfig-devel
BuildRequires: 	gettext
BuildRequires: 	hal-devel
BuildRequires: 	kdelibs-devel >= %{version}
BuildRequires: 	kdepimlibs-devel >= %{version}
#BuildRequires: 	kdebase-workspace-devel >= %{version}
#BuildRequires:  kdebase-runtime >= %{version}
BuildRequires: 	libart_lgpl-devel
BuildRequires: 	libfontenc-devel
BuildRequires: 	libusb-devel
BuildRequires: 	OpenEXR-devel >= 1.6.1-2
BuildRequires: 	openldap-devel
BuildRequires: 	openssl-devel
BuildRequires: 	pkgconfig
BuildRequires: 	qimageblitz-devel
BuildRequires: 	samba-devel
BuildRequires:	samba-common
BuildRequires: 	soprano-devel
BuildRequires: 	strigi-devel
BuildRequires: 	xine-lib-devel
BuildRequires:  libxcb-devel
BuildRequires: 	xorg-x11-font-utils
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	zlib-devel
BuildRequires: 	gamin-devel giflib-devel libacl-devel pcre-devel
BuildRequires: 	pciutils-devel
BuildRequires:	automoc4
BuildRequires:	portaudio-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  shared-desktop-ontologies
Provides:      	dolphin = 1.0.2-1
Obsoletes:     	dolphin < 1.0.2-1
Requires: 	%{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: 	kdebase4 < %{version}-%{release}
Provides:  	kdebase4 = %{version}-%{release}

BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libraw1394-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: libXt-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: phonon-devel
BuildRequires: qimageblitz-devel
BuildRequires: qt4-devel
BuildRequires: soprano-devel
BuildRequires: webkitkde-devel
BuildRequires: zlib-devel

# prevent the propietary openGL incarnations from being drawn in
# the hard way
BuildConflicts: xorg-x11-drv-fglrx
BuildConflicts: xorg-x11-drv-nvidia
BuildConflicts: xorg-x11-drv-nvidia-legacy
BuildConflicts: xorg-x11-drv-nvidia-legacy96xx

%description
Core runtime requirements and applications for the K Desktop Environment 4.

%if 0%{?libs}
%package libs
Summary: 	%{name} runtime libraries
Group:   	System/Libraries
Requires: 	kdelibs >= %{version}, kdepimlibs >= %{version}
Requires: 	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: 	kdebase4-libs < %{version}-%{release}
Provides:  	kdebase4-libs = %{version}-%{release}

%description libs
%{summary}.
%endif


%package devel
Group:    	Development/Libraries
Summary:  	Header files for kdebase4
Requires: 	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: 	kdelibs-devel kdepimlibs-devel
Obsoletes: 	kdebase4-devel < %{version}-%{release}
Provides:  	kdebase4-devel = %{version}-%{release}


%description devel
Header files for developing applications using %{name}.

%prep
%setup -q

%build

mkdir -p %{_target_platform} 
pushd %{_target_platform}
%{cmake_kde4} .. -DWITH_WebKitPart=off
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# move devel symlinks
#mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel
#pushd %{buildroot}%{_kde4_libdir}
#pwd
#for i in lib*.so
#do
#  case "$i" in
#    libkdeinit4_*.so|libplasma_applet-system-monitor.so)
#      ;;
#    *.so)
#      linktarget=`readlink "$i"`
#      rm -f "$i"
#      ln -sf "../../$linktarget" "kde4/devel/$i"
#      ;;
#  esac
#done
#popd

# konquerorsu only show in KDE
echo 'OnlyShowIn=KDE;' >> %{buildroot}%{_kde4_datadir}/applications/kde4/konquerorsu.desktop

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%files
%defattr(-,root,root,-)
%{_kde4_bindir}/*
%{_kde4_datadir}/applications/kde4/*
%{_kde4_appsdir}/*
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/dbus-1/interfaces/*
#%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_docdir}/HTML/en/*
%{_kde4_libdir}/kde4/*
%{_kde4_libdir}/libdolphinprivate.so
%{_kde4_libdir}/libkonq.so
%{_kde4_libdir}/libkonqsidebarplugin.so
%{_kde4_libdir}/libkonquerorprivate.so
%{_kde4_libdir}/libkonsoleprivate.so
%{_kde4_libdir}/libkbookmarkmodel_private.so
#%exclude %{_kde4_libdir}/kde4/devel/
%{_kde4_datadir}/autostart/*
%{_kde4_configdir}/*
%{_kde4_datadir}/templates/*
%{_kde4_datadir}/templates/.source/*
#%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_libdir}/libkdeinit4_*.so
%{_kde4_datadir}/icons/
%{_kde4_datadir}/man/man1/

%if 0%{?libs}
%files libs
%defattr(-,root,root,-)
%endif
%{_kde4_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
#%{_kde4_libdir}/kde4/devel/lib*.so

%changelog
* Sun Jan 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 4.5.5-1
- Version Update
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.4-1
- Version Update
* Thu Nov 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.3-1
- Version Update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.2-1
- Version Update
* Wed Sep 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.1-1
- Version Update
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.0-1
- Version Update
* Wed Jul 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.95-1
- Version Update
* Sun Jul 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-2
- rebuilt
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-1
- Version Update - experimental package branch - rc2
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.90-1
- Version Update - experimental package branch - rc1
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- Version Update
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
- temp. disabled NetworkManager support
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Sat Aug 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.0-1
- Version update
* Thu Jun 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4-1
- Version update
* Fri May 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Wed Apr 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-2
- rebuilt against libraw1394 2.0.2
* Fri Apr 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-1
- Version update
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.0-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.96-1
- version update
* Wed Jan 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.87-1
- version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-1
- version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.80-1
- version update
* Wed Nov 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-1
- version update
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- version update
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Sun Aug 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-4
- added kde-settings dependency
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-3
- renamed package
* Tue Jul 29 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- moved devel symlinks
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Thu Jul 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-2
- rebuild against openEXR-1.6.1-2
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Mon Jun 16 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 Beta 1 )
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Thu Feb 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.1-2
- moved KDEHOMEDIR to ~/.kde4
* Wed Feb 06 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.1-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Wed Dec 12 2007 Christian Metzen <metzench@ccux-linux.de> 3.97.0-1
- Version update to RC2
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-2
- rebuild, moved prefix to /usr
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-1
- Initial release
